Search Agent

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/agent

Retrieve Agents in the authenticated user's organization. Agents are visible and usable organization-wide; Shareable grants control modification and ownership rather than discovery or execution.

Include Securable to retrieve configured datasets, AIRule with as: "linked_rules" to retrieve linked Rules, or User to retrieve the creator.

Request parametersResponse schema
Expand all Reset
find *OBJECTrequired
where OBJECT
search OBJECT
attributes ARRAY[STRING]
include ARRAY[OBJECT]
order ARRAY
limit NUMBER
offset NUMBER
Can be executed by:
Organization Member
Can be associated to:
Securables
linked_rules
User
Shareable
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "4ae128cc-1376-4f3f-876d-09b2a841f906",
      "name": {
        "en": "Revenue assistant"
      },
      "description": {
        "en": "Answers revenue questions and creates supporting charts."
      },
      "capabilities": [
        "data_analysis",
        "chart_creation"
      ],
      "theme_id": "default",
      "user_id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
      "shareable_id": "5a96ab29-86d7-4855-93ce-a9cfc9b138c5",
      "created_at": "2026-09-29T08:48:21.140Z",
      "updated_at": "2026-09-29T08:48:21.140Z",
      "securables": [
        {
          "id": "1ecf1fd1-cf74-47f8-9f73-aed6ea6ad44a",
          "name": {
            "en": "Sales"
          },
          "type": "dataset"
        }
      ],
      "linked_rules": [
        {
          "id": "aa032eb0-40e0-4a23-9f3a-76baf28e61b8",
          "name": "Company terminology",
          "published_version_id": "199dc731-8804-4d5a-a808-abdd9c7343fe"
        }
      ],
      "user": {
        "id": "444e2d0c-8dfb-45c1-bb97-52cb9264671f",
        "name": "Ada Lovelace"
      }
    }
  ]
}